Update driver assignments that were created using the POST fleet/driver-vehicle-assignments. Vehicle Id, Driver Id, and Start Time must match an existing assignment.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Assignments under the Assignments category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/fleet/driver-vehicle-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": "494123",
"startTime": "2019-06-13T19:08:25Z",
"vehicleId": "281474978683353",
"assignedAtTime": "2019-06-13T19:08:25Z",
"endTime": "2019-06-13T19:08:25Z",
"isPassenger": true,
"metadata": {
"sourceName": "My custom assignment source"
}
}
'{
"data": {
"message": "Driver assignment was successfully updated"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Updated Driver Assignment details
ID of the driver. This can be either a unique Samsara ID or an external ID for the driver.
"494123"
The start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
ID of the vehicle. This can be either a unique Samsara ID or an external ID for the vehicle.
"281474978683353"
The time at which the assignment was made in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
The end time in RFC 3339 format. To make this an ongoing assignment (ie. an assignment with no end time), provide an endTime value of 'null'. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
Is this driver a passenger?
true
Metadata about this driver assignment
Show child attributes
Accepted response.
Response after successfully updating a Driver Assignment
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/fleet/driver-vehicle-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": "494123",
"startTime": "2019-06-13T19:08:25Z",
"vehicleId": "281474978683353",
"assignedAtTime": "2019-06-13T19:08:25Z",
"endTime": "2019-06-13T19:08:25Z",
"isPassenger": true,
"metadata": {
"sourceName": "My custom assignment source"
}
}
'{
"data": {
"message": "Driver assignment was successfully updated"
}
}